Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  class Settings extends nsc.Settings

  An extended version of compiler settings, with additional Scaladoc-specific options.

  An extended version of compiler settings, with additional Scaladoc-specific options.

  Definition Classes
    doc
- AbsSetting
- AbsSettingValue
- BooleanSetting
- CachePolicy
- ChoiceSetting
- EnableSettings
- IntSetting
- InternalSetting
- LintWarnings
- MacroExpand
- MultiChoiceEnumeration
- MultiChoiceSetting
- MultiStringSetting
- OutputDirs
- OutputSetting
- PathSetting
- PhasesSetting
- PrefixSetting
- ScalaVersionSetting
- Setting
- SettingValue
- StringSetting
- UnusedWarnings
- XxmlSettings
- hardcoded
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

o

scala.tools.nsc.doc.Settings

# hardcoded

###

#### object hardcoded

This is the hardcoded area of Scaladoc. This is where "undesirable" stuff gets eliminated. I know it's not pretty, but ultimately scaladoc has to be useful. :)

Source
  Settings.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. hardcoded
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val commonConversionTargets: Set[String]

   Common conversion targets that affect any class in Scala

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def isExcluded(qname: String): Boolean

    Set of classes to exclude from index and diagrams TODO: Should be configurable

13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  val knownTypeClasses: Map[String, (String) => String]

    The common context bounds and some humanly explanations.

    The common context bounds and some humanly explanations. Feel free to add more explanations `<root>.scala.package.Numeric` is the type class `tparam` is the name of the type parameter it gets (this only describes type classes with 1 type param) the function result should be a humanly-understandable description of the type class

15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  def valueClassFilter(value: String, conversionName: String): Boolean

    Dirty, dirty, dirty hack: the value params conversions can all kick in -- and they are disambiguated by priority but showing priority in scaladoc would make no sense -- so we have to manually remove the conversions that we know will never get a chance to kick in.

    Dirty, dirty, dirty hack: the value params conversions can all kick in -- and they are disambiguated by priority but showing priority in scaladoc would make no sense -- so we have to manually remove the conversions that we know will never get a chance to kick in. Anyway, DIRTY DIRTY DIRTY!

21.  def valueClassFilterPrefixes: collection.immutable.List[String]
22.  def valueClassList: collection.immutable.List[String]
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped